Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.actions.support
Class AbstractAddToTestCaseAction<T extends ModelItem>

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIAction<T>
          com.eviware.soapui.impl.wsdl.actions.support.AbstractAddToTestCaseAction<T>

All Implemented Interfaces:
  SoapUIAction<T>, PropertyChangeNotifier

Direct Known Subclasses:
  AddRequestToTestCaseAction

    public abstract class AbstractAddToTestCaseAction<T extends ModelItem>

extends AbstractSoapUIAction<T>

Base class for actions that add TestSteps to a TestCase

Author:
  ole.matzura

Field Summary

Fields inherited from interface com.eviware.soapui.support.action.SoapUIAction
`ENABLED_PROPERTY`

Constructor Summary
`AbstractAddToTestCaseAction(java.lang.String name, java.lang.String description)`

Method Summary
`protected WsdlTestCase` | `addNewTestSuiteAndTestCase(WsdlProject project)`
`protected WsdlTestCase` | `getTargetTestCase(WsdlProject project)`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIAction
`addPropertyChangeListener, addPropertyChangeListener, applies, getDescription, getName, isDefault, isEnabled, removePropertyChangeListener, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.support.action.SoapUIAction
`perform`

Constructor Detail

### AbstractAddToTestCaseAction

    public AbstractAddToTestCaseAction(java.lang.String name,
                                       java.lang.String description)

Method Detail

### getTargetTestCase

    protected WsdlTestCase getTargetTestCase(WsdlProject project)

### addNewTestSuiteAndTestCase

    protected WsdlTestCase addNewTestSuiteAndTestCase(WsdlProject project)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.